Return a list of devices with localized values
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1alpha/organizations/{organizationId}/devices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1alpha/organizations/{organizationId}/devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1alpha/organizations/{organizationId}/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"id": 123,
"memo": "foo bar",
"type": "pc",
"people": {
"id": 1,
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"type": "employee",
"status": "suspended",
"suspendedAt": "2021-07-13T19:15:40.000Z",
"createdAt": "2021-07-13T19:15:40.000Z"
},
"identity": {
"employeeStatus": "active",
"employeeType": "full_time_employee",
"firstName": "First Name",
"lastName": "Last Name",
"id": "<string>",
"organizationId": 123,
"peopleId": "<string>",
"managementType": "managed",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com",
"secondaryEmails": [
"secondary+1@email.com",
"secondary+2@email.com"
],
"companyName": "company name",
"workLocation": "work location",
"department": {
"name": "department name"
},
"serviceCount": 123,
"deviceCount": 123,
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isManager": true,
"isMock": true,
"isEmailEditable": true,
"hasPresetFieldsUnlinked": true
},
"preset": {
"subtype": "other",
"price": 123.321
},
"custom": {
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
},
"createdAt": "2024-03-20T00:00:00Z",
"updatedAt": "2024-03-20T00:00:00Z",
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]
}
]
}Devices
Return a list of devices with localized values
deprecated
GET
/
api
/
v1alpha
/
organizations
/
{organizationId}
/
devices
Return a list of devices with localized values
承認
パスパラメータ
クエリパラメータ
利用可能なオプション:
en, ja 利用可能なオプション:
pc, phone, other 最終更新日 2026年7月14日
このページは役に立ちましたか?
⌘I

